Page MenuHomePhabricator

Usage and retention report for SE v5 - Contributions List
Closed, ResolvedPublic

Description

Research questions:

Do people actually use the thing?
What # and % of SE editors (>1 edit in past 30 days) viewed contributions list?
What # and % of SE editors (>1 edit in past 30 days) filtered on contributions list?
What # and % of SE editors (>1 edit in past 30 days) viewed contribution details for at least one contribution?

What is effect on 7- and 30-day retention and edit rate?
Do people who look at their contributions list or contribution detail come back to SE home screen more often?
Do they do more edits?

Event Timeline

Charlotte triaged this task as High priority.Jun 8 2020, 4:09 PM
nshahquinn-wmf added a subscriber: nshahquinn-wmf.

@Charlotte, I'm moving this to our "Needs Investigation" column until you have a chance to add the research questions :)

Charlotte updated the task description. (Show Details)
Charlotte updated the task description. (Show Details)

Schema Draft Deck
Schema:MobileWikiAppUserContribution

@schoenbaechler has given initial feedback @Charlotte lmk if you have additions, changes, once approved, will refine w @Dbrant

@SNowick_WMF - Looks good to me. Have a chat with @Dbrant and let's get it implemented asap.

I have now verified that events for the new schema are being sent and received correctly. Moving to Tracking.

Charlotte renamed this task from Tagging for SE v5 to Usage and retention report for SE v5.Jul 27 2020, 1:11 PM
Charlotte reassigned this task from Dbrant to SNowick_WMF.
SNowick_WMF renamed this task from Usage and retention report for SE v5 to Usage and retention report for SE v5 - Contributions List.Aug 5 2020, 6:10 PM

Hey @SNowick_WMF — just looked at this. What type of edit is the bright green dot? It’s not labelled.

Thx for clarifying!

@schoenbaechler Those are non-SE edits made on the app by users whose first edit was a Suggested Edit edit. The next chart then breaks down what they edited (after the first SE edit) off the SE edits workflow.

SNowick_WMF lowered the priority of this task from High to Medium.Aug 11 2020, 5:06 PM
SNowick_WMF moved this task from Needs Review to Doing on the Product-Analytics (Kanban) board.
Charlotte raised the priority of this task from Medium to High.Aug 12 2020, 5:53 PM
Charlotte lowered the priority of this task from High to Medium.Aug 12 2020, 5:57 PM

Dashboard is here, calculations for retention and SE interactions were done off Superset.

Research questions:
Do people actually use User Contributions?
What # and % of SE editors (>1 edit in past 30 days) viewed contributions list?
4010 distinct eds opened out of 20179 distinct editors (have to isolate to using app version 2.7.50330 so there is no overlap in editors) 19.8%

What # and % of SE editors (>1 edit in past 30 days) filtered on contributions list?
2559 distinct eds used filters out of 20179 distinct editors 12.6%

What # and % of SE editors (>1 edit in past 30 days) viewed contribution details for at least one contribution?
3541 distinct eds looked at details out of 20179 distinct editors 17.5%

What is effect on 7- and 30-day retention and edit rate?
User Contributions viewing editors returning to edit avg. retention rate
7 Day 33.4%
30 Day 18.5%

For comparison, a sample of all editors returning to edit edit avg. retention rate:
7 Day 19.8%
30 Day 10.8%

Do people who look at their contributions list or contribution detail come back to SE home screen more often?.
Yes, average SE actions for UC users was 21.04, average SE actions for all users was 9.9.

Do they do more edits?
(Isolated to version 2.7.50330)
UC editors
Edits 62273
Editors 3118
19.9 avg. edits per editor

For comparison, all editors
Edits 133241
Editors 20190
6.6 avg. edits per editor

SNowick_WMF raised the priority of this task from Medium to High.Sep 28 2020, 8:14 PM
SNowick_WMF moved this task from Doing to Needs Review on the Product-Analytics (Kanban) board.

Looking good! This is going to be the star of the quarter in review, or whatever we're calling it these days.

Charlotte closed this task as Resolved.Sep 28 2020, 9:27 PM